.banner {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white);
}

.banner-background {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.banner-background .media-container,
.banner-background .media-container .media-container-holder,
.banner-background .media-container .media-container-holder picture,
.banner-background .media-container .media-container-holder picture img,
.banner-background .media-container .media-container-holder video {
    width: 100%;
    height: 100%;
}

.banner-background .media-container .media-container-holder picture img,
.banner-background .media-container .media-container-holder video {
    display: block;
    object-fit: cover;
}

.banner-title {
    width: 100%;
    padding: var(--gap);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    z-index: 3;
}

.banner-title.only-title {
    top: 50%;
    transform: translateY(-50%);
}

.banner-text {
    width: 100%;
    padding: var(--gap);
    position: absolute;
    bottom: 0;
    left: 0;
    pointer-events: none;
    z-index: 2;
}

.banner .button {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate3d(-50%, -50%, 0);
    transform: translate3d(-50%, -50%, 0);
    min-width: calc(330 * var(--size));
    z-index: 3;
}

body.touchDevice .banner-background.cta-box:after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate3d(-50%, -50%, 0);
    transform: translate3d(-50%, -50%, 0);
    width: calc(40 * var(--size));
    height: calc(40 * var(--size));
    background: url(../../images/cursor-link.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

/* RESPONSIVE */
@media only screen and (max-width: 768px) {
    .banner.is-swiper {
        max-height: 88vw;
    }

    .banner-title.only-title {
        top: 0;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        transform: translateY(0);
    }

    .banner-title.only-title > span {
        width: 100%;
        display: block;
    }

    .banner-title.only-title > span:nth-child(2) {
        text-align: right;
    }

    .banner-title {
        z-index: 1;
    }

    .banner-text {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        background-color: rgba(0, 0, 0, 0.2);
    }

    .banner .button {
        min-width: calc(260 * var(--size));
    }
}
